%global momorel 1

Summary:	Cache-FastMmap module for perl 
Name:		perl-Cache-FastMmap
Version:	1.30
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Cache/Cache-FastMmap-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Cache/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.1
BuildRequires:	perl-ExtUtils-ParseXS

%description
Cache-FastMmap module for perl

%prep
%setup -q -n Cache-FastMmap-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -type f -name '*.bs' -a -empty -delete || :
find %{buildroot} -depth -type d -a -empty -delete || :

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Cache-FastMmap-%{version}-filelist
if [ "$(cat Cache-FastMmap-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Cache-FastMmap-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.30-1m)
- update to 1.30

* Mon May  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.29-1m)
- update to 1.29

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.28-2m)
- rebuild against rpm-4.6

* Fri Jun 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-1m)
- update to 1.28

* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-1m)
- update to 1.27

* Thu May 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-1m)
- update to 1.26

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.25-1m)
- update to 1.25

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.24-2m)
- rebuild against gcc43

* Tue Oct 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.24-1m)
- update to 1.24

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.23-1m)
- update to 1.23

* Tue Oct 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-1m)
- update to 1.21

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19
- do not use %%NoSource macro

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.14-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.09-1m)
- spec file was autogenerated
